Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config.simple.editor
Class JposEntryMergerDialog.SerFileFilter

    java.lang.Object
      |
      +--javax.swing.filechooser.FileFilter
            |
            +--jpos.config.simple.editor.JposEntryMergerDialog.SerFileFilter

Enclosing class:
  JposEntryMergerDialog

public static class JposEntryMergerDialog.SerFileFilter
extends javax.swing.filechooser.FileFilter

Inner class to filter out other file but serialized file when listing file

Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Constructor Summary
`JposEntryMergerDialog.SerFileFilter()`

Method Summary
`boolean` | `accept(java.io.File pathname)` Tests whether or not the specified abstract pathname should be included in a pathname list.
`java.lang.String` | `getDescription()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JposEntryMergerDialog.SerFileFilter

    public JposEntryMergerDialog.SerFileFilter()

Method Detail

### accept

    public boolean accept(java.io.File pathname)

  Tests whether or not the specified abstract pathname should be included in a pathname list.
  Overrides:
    `accept` in class `javax.swing.filechooser.FileFilter`
  Parameters:
    `pathname` - The abstract pathname to be tested
  Returns:
    `true` if and only if `pathname` should be included

### getDescription

    public java.lang.String getDescription()

  Overrides:
    `getDescription` in class `javax.swing.filechooser.FileFilter`
  Returns:
    the description of this FileFilter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details